Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt
Class SWTError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              org.eclipse.swt.SWTError

All Implemented Interfaces:
  Serializable

public class SWTError
extends Error

This error is thrown whenever an unrecoverable error occurs internally in SWT. The message text and error code provide a further description of the problem. The exception has a `throwable` field which holds the underlying throwable that caused the problem (if this information is available (i.e. it may be null)).

SWTErrors are thrown when something fails internally which either leaves SWT in an unknown state (eg. the o/s call to remove an item from a list returns an error code) or when SWT is left in a known-to-be-unrecoverable state (eg. it runs out of callback resources). SWTErrors should not occur in typical programs, although "high reliability" applications should still catch them.

This class also provides support methods used by SWT to match error codes to the appropriate exception class (SWTError, SWTException, or IllegalArgumentException) and to provide human readable strings for SWT error codes.

Since:
  1.0
See Also:
  `SWTException`, `SWT.error(int)`, Serialized Form

Field Summary
`int` `code` The SWT error code, one of SWT.ERROR_*.
`Throwable` `throwable` The underlying throwable that caused the problem, or null if this information is not available.

Constructor Summary
`SWTError()` Constructs a new instance of this class with its stack trace filled in.
`SWTError(int code)` Constructs a new instance of this class with its stack trace and error code filled in.
`SWTError(int code, String message)` Constructs a new instance of this class with its stack trace, error code and message filled in.
`SWTError(String message)` Constructs a new instance of this class with its stack trace and message filled in.

Method Summary
`Throwable` `getCause()` Returns the underlying throwable that caused the problem, or null if this information is not available.
`String` `getMessage()` Returns the string describing this SWTError object.
`void` `printStackTrace()` Outputs a printable representation of this error's stack trace on the standard error stream.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### code

    public int code

  The SWT error code, one of SWT.ERROR_*.

### throwable

    public Throwable throwable

  The underlying throwable that caused the problem, or null if this information is not available.

Constructor Detail

### SWTError

    public SWTError()

  Constructs a new instance of this class with its stack trace filled in. The error code is set to an unspecified value.

### SWTError

    public SWTError(String message)

  Constructs a new instance of this class with its stack trace and message filled in. The error code is set to an unspecified value. Specifying `null` as the message is equivalent to specifying an empty string.

Parameters:
  `message` - the detail message for the exception

### SWTError

    public SWTError(int code)

  Constructs a new instance of this class with its stack trace and error code filled in.

Parameters:
  `code` - the SWT error code

### SWTError

    public SWTError(int code,
                    String message)

  Constructs a new instance of this class with its stack trace, error code and message filled in. Specifying `null` as the message is equivalent to specifying an empty string.

Parameters:
  `code` - the SWT error code
  `message` - the detail message for the exception

Method Detail

### getCause

    public Throwable getCause()

  Returns the underlying throwable that caused the problem, or null if this information is not available.

  NOTE: This method overrides Throwable.getCause() that was added to JDK1.4. It is necessary to override this method in order for inherited printStackTrace() methods to work.

  Returns:
    the underlying throwable
  Since:
    1.0

### getMessage

    public String getMessage()

  Returns the string describing this SWTError object.

  It is combined with the message string of the Throwable which caused this SWTError (if this information is available).

  Returns:
    the error message string of this SWTError object

### printStackTrace

    public void printStackTrace()

  Outputs a printable representation of this error's stack trace on the standard error stream.

  Note: printStackTrace(PrintStream) and printStackTrace(PrintWriter) are not provided in order to maintain compatibility with CLDC.

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.